// This MFC Samples source code demonstrates using MFC Microsoft Office Fluent User Interface 
// (the "Fluent UI") and is provided only as referential material to supplement the 
// Microsoft Foundation Classes Reference and related electronic documentation 
// included with the MFC C++ library software.  
// License terms to copy, use or distribute the Fluent UI are available separately.  
// To learn more about our Fluent UI licensing program, please visit 
// http://go.microsoft.com/fwlink/?LinkId=238214.
//
// Copyright (C) Microsoft Corporation
// All rights reserved.

// DataGridViewAppView.h : interface of the CDataGridViewAppView class
//

#pragma once


class CDataGridViewAppView : public CFormView
{
protected: // create from serialization only
	CDataGridViewAppView();
	DECLARE_DYNCREATE(CDataGridViewAppView)

public:
#ifdef AFX_DESIGN_TIME
	enum{ IDD = IDD_DATAGRIDVIEWAPP_FORM };
#endif

// Attributes
public:
	CDataGridViewAppDoc* GetDocument() const;

	CWinFormsControl<clr_spreadsheet::SpreadsheetCtrl> m_CtrlSpreadsheet;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CDataGridViewAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnCommandsCompute();
};

#ifndef _DEBUG  // debug version in DataGridViewAppView.cpp
inline CDataGridViewAppDoc* CDataGridViewAppView::GetDocument() const
   { return reinterpret_cast<CDataGridViewAppDoc*>(m_pDocument); }
#endif

