#pragma once
#include <string>

#include <vector>

// wide string vector
typedef std::vector<std::wstring> wstrvctr_t;

class CParseTree
{
public:
	CParseTree();
	~CParseTree();

	int RunParser(const std::string& filename = "");

	int CalculateCell(int index, const std::wstring& code);

	void SayHello(char* const msg) const;

	void copy_cstr(char** pTarget, const char* pSource);
	void copy_int(int& Target, const char* pSource);

	void PutErrorMsg(const wchar_t* msg);
	void PutErrorMsg(const char* msg);
	void PutResult(double rlt);

	const wstrvctr_t& GetMessages() const;

	double GetResult();

protected:
	int m_cell_index;
	wstrvctr_t m_msgvctr;

	double m_Result;
};

